# Class SingleSignOnListener

java.lang.Object
org.apache.catalina.authenticator.SingleSignOnListener

All Implemented Interfaces:
  `Serializable, EventListener, SessionListener`

Direct Known Subclasses:
  `ClusterSingleSignOnListener`

public class SingleSignOnListener extends Object implements SessionListener, Serializable
Listener that notifies the `SingleSignOn` valve when a session is destroyed or its ID changes.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleSignOnListener(String ssoId)`
  Creates a new SSO listener for the given SSO identifier.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `sessionEvent(SessionEvent event)`
  Acknowledge the occurrence of the specified event.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SingleSignOnListener

    public SingleSignOnListener(String ssoId)
    Creates a new SSO listener for the given SSO identifier.
    Parameters:
      `ssoId` - the SSO identifier associated with this listener

- ## Method Details

  - ### sessionEvent

    public void sessionEvent(SessionEvent event)
    Description copied from interface: `SessionListener`
    Acknowledge the occurrence of the specified event.
    Specified by:
      `sessionEvent` in interface `SessionListener`
    Parameters:
      `event` - SessionEvent that has occurred